Bug 502622 - Review Request: perl-Config-Properties - Read and write property files
Review Request: perl-Config-Properties - Read and write property files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 10:30 EDT by Xavier Bachelot
Modified: 2009-06-15 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.70-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-05-26 10:30:29 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Config-Properties.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Config-Properties-1.70-1.fc10.src.rpm
Description: Config::Properties is a near implementation of the java.util.Properties API. It is designed to allow easy reading, writing and manipulation of Java-
style property files.
Comment 1 Jason Tibbitts 2009-06-03 16:42:39 EDT
Builds fine; rpmlint is silent.

FYI, I agree that conditionally running a test depending on the name of the user running it is dumb and needs to be patched out.

I can see why this would require Test::More at runtime.  It doesn't appear anywhere in the final package (save the Changelog, where it talks about the test suite).

* source files match upstream.  sha256sum:
   afb0e7a20a95f0e8004296fdecd1c320ec7d296cbdb5ce7bbc0a1f75266d7e84  
   Config-Properties-1.70.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
? final provides and requires are sane:
   perl(Config::Properties) = 1.70
   perl-Config-Properties = 1.70-1.fc11
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(IO::Handle)
?  perl(Test::More)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
  All tests successful.
  Files=7, Tests=52,  1 wallclock secs ( 0.05 usr  0.02 sys +  0.31 cusr  0.07 
   csys =  0.45 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Xavier Bachelot 2009-06-03 16:51:48 EDT
Thanks for the review Tibbs.

New version, fixesthe useless Requires :
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Config-Properties.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-Config-Properties-1.70-2.fc10.src.rpm
Comment 3 Jason Tibbitts 2009-06-03 18:20:27 EDT
Looks good.  APPROVED
Comment 4 Xavier Bachelot 2009-06-03 18:43:55 EDT
New Package CVS Request
=======================
Package Name: perl-Config-Properties
Short Description: Read and write property files
Owners: xavierb
Branches: F-10 F-11 EL-5
InitialCC: perl-sig
Comment 5 Jason Tibbitts 2009-06-04 18:21:33 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-04 19:36:56 EDT
perl-Config-Properties-1.70-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Config-Properties-1.70-2.fc10
Comment 7 Fedora Update System 2009-06-04 19:37:01 EDT
perl-Config-Properties-1.70-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Config-Properties-1.70-2.fc11
Comment 8 Fedora Update System 2009-06-15 22:06:22 EDT
perl-Config-Properties-1.70-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-15 22:35:32 EDT
perl-Config-Properties-1.70-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.